
/* --------------------------------------------- */
/**
 * CSS-Reset
 */
/* Browser, halt dich da raus */
:focus {
	outline: none;
}
::-moz-focus-inner {
	border: 0;
}
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #bbb;
  opacity: 1; /* Firefox */
}


/* Bei allen Elementen */
* {
    margin: 0;
    padding: 0;
    color: var(--farbe-schwarz-opak);
    background-color: transparent;
	font-family: "Barlow", "Lucida Grande", "Lucida Sans Unicode", sans-serif;
    font: 1rem "Barlow", "Lucida Grande", "Lucida Sans Unicode", sans-serif;
    box-sizing: border-box;
}


/* Allgemein */
html {
    font-size: 100%; 
}
body {
	/* background-attachment: fixed; */
	overflow-x: hidden;
}
main {
	position: relative;
}

/*
body {
	background-color: azure;
}
*/


h2 {
	font-size: 1rem;
	font-weight: 700;
	color: rgba( 95, 95, 95, 0.9 );
	padding: 0.5rem 0rem;
}




/* --------------------------------------------- */
/**
 * Dokument-Optionen
 */



.dokument_optionen {
	
	display: flex;
	flex-direction: column;
	

		grid-gap: 2rem;
	padding: 2rem;
		justify-content: center;
	align-items: center;

}




.breite-begrenzt {
	display: flex;
	flex-direction: column;
	
	max-width: 700px;

	
	min-width: 100%;
}



.breite-begrenzt form {
	background-color: rgba( 240, 240, 240, 0.9 ); 
	border-radius: 1rem;
	grid-gap: 0rem;
	
	overflow: hidden;
	
	min-width: 100%;
}


.breite-begrenzt form .form-inhalt,
.breite-begrenzt form .form-aktionen {
	padding: 2rem;
}




.breite-begrenzt form .form-inhalt {
	box-shadow: 0rem 0.125rem 2.25rem rgba(0,0,0, 0.06);
}






/* --------------------------------------------- */
/**
 * Fehlermeldung
 */
.dokument_fehlermeldung {

    margin-top: 1rem;

}


















/* --------------------------------------------- */
/**
 * Editor
 */
.editor_outer,
.editor_form,
.editor_vorschau {
	/*
	padding: 1rem;
	*/
	width: 100%;
	min-height: 100%;
}


.editor_outer {
	/*
	background-color: yellow;
	*/
	display: grid;
	grid-template-columns: 2fr 4fr;
	height: 100vh;
}
.editor_form {
	/*
	background-color: rgba( 240, 240, 240, 0.9 );
	*/
	padding: 2rem;
	overflow-y: scroll;
	box-shadow: 0rem 0.1rem 0.5rem rgba(100,100,100, 0.1);
	z-index: 2;
}
/*
.editor_vorschau {
	background-color: aqua;
}
*/
.editor_iframe {
	width: 100%;
	height: 100%;
	border: none;
}



/* --------------------------------------------- */
/**
 * Form
 */






form {
	display: flex;
	flex-direction: column;
	grid-gap: 2rem;
}


fieldset {
	border: none;
	display: grid;
	grid-gap: 0.25rem;
}

.accordion_group {
	position: relative;
	display: grid;
	background-color: #f6f6f6;
	
	border-radius: 0.5rem;
	overflow: hidden;
	border: none;
	box-shadow: 0rem 0.05rem 0.15rem rgba(41, 41, 41, 0.2);
	
	
}
label {
	font-size: 0.8rem;
	padding-top: 0.25rem;
}
input[type="number"], input[type="text"], input[type="plz"], input[type="email"], input[type="date"], input[type="checkbox"], select, textarea, .inputcontainer {
	background-color: white;
	padding: 0.4rem 0.55rem 0.55rem 0.55rem;
    border: 2px solid transparent;
	border-radius: 0.2rem;
	box-shadow: 0rem 0.05rem 0.15rem rgba(41, 41, 41, 0.2);
	width: 100%;
}
textarea {
    resize: vertical;
    min-height: 5rem;
}


.group {
    border-bottom: 0.1rem solid rgba( 155, 155, 155, 0.2 );
	position: relative;
}




.ui-accordion .ui-accordion-header {
	border: none;
	padding: 0.75rem;

	margin: inherit;
}




.ui-corner-all, .ui-corner-bottom, .ui-corner-left, .ui-corner-bl,
.ui-corner-all, .ui-corner-top, .ui-corner-right, .ui-corner-tr,
.ui-corner-all, .ui-corner-top, .ui-corner-left, .ui-corner-tl {
  border-radius: inherit;
}


.ui-accordion .ui-accordion-content {
  padding: 1rem;
  background-color: rgba( 240, 240, 240, 0.9 );
}

.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br {
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
  border: inherit;
  background: rgba( 240, 240, 240, 0.9 );
  color: #000;
}

.ui-widget-content {
  border: inherit;
}




.button {
	padding: 0.7rem 1rem 0.7rem 1rem;
	display: flex;
	align-items: flex-start;
	justify-content: flex-start;
	min-height: 2rem;
	border: none;
	cursor: pointer;
	background-color: rgb(255, 255, 255);
	transition: all 0.3s;
	text-decoration: none;
	width: 100% !important;
	font-family: "Barlow", "Lucida Grande", "Lucida Sans Unicode", sans-serif !important;
}

.button:hover {
	background-color: #f6f6f6;
}




.button.entfernen {
	position: absolute;
	width: 3rem !important;
	height: 2.75rem;
	top: 0;
	right: 0;
	align-items: center;
	justify-content: center;
	background: none;
	color: rgb(69, 69, 69);
}



.button.speichern {
	background-color: #777;
	width: 100%;
	color: #fff;
	margin-bottom: 2rem;
	box-shadow: 0rem 0.05rem 0.15rem rgba(41, 41, 41, 0.2);
	align-items: center;
	justify-content: center;
}



.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
	font-family: "Barlow", "Lucida Grande", "Lucida Sans Unicode", sans-serif !important;
}






.sortable_group {
	display: grid;
	background-color: #f6f6f6;
	
	border-radius: 0.5rem;
	overflow: hidden;
	border: none;
	box-shadow: 0rem 0.05rem 0.15rem rgba(41, 41, 41, 0.2);
	
	
}

.sortable_group .group {
	border: none;
	padding: 0.5rem 3rem 0.5rem 0.5rem;
/*
    padding: 0.5rem 0.5rem 0.5rem 0.5rem;
*/
}


.sortable li {
	border: none;
    border-bottom: 0.1rem solid rgba( 155, 155, 155, 0.2 );
	
}








@media only screen and (max-width: 720px) {

	.editor_outer {
	  height: inherit;
	  grid-template-columns: 1fr;
	}

	.editor_iframe {
	  height: 300vh;
	}

}




.ausgeblendet {
    display: none;
}







